Help - I am a newbe - SD300 version problem. - Hello, I'm a NEWBIE - HELP!! (Newbies assistance, User Guides and thank you notes) - CHDK Forum

Help - I am a newbe - SD300 version problem.

  • 15 Replies
  • 4070 Views
Help - I am a newbe - SD300 version problem.
« on: 30 / November / 2010, 15:40:01 »
Advertisements
Hi,
I am trying to determine the version number on my Powershot SD300 so I know what CHDK firmware version - 1.00J or 1.00k to download and install.  I have tried ver.req and vers.req and have verified them as .req files and not .req.txt, but when I put them into my camera and activate playback > func/set > disp all I see is "No Images". I have also tried Camera Version 1.2, EXIFTool 8.2.7.0 and ACID 1.04 but they all read "No data available". 
Where so I go from here?   What is the difference between 1.00J and 1.00k?  Should I just install 1.00j or 1.00k and hope for the best?  If I install the wrong one would I just be losing a function or two or would it not work or screw something up?
I would be appreciative of any and all help.   Respectfully, Graphics Guy

*

Online reyalp

  • ******
  • 13401
Re: Help - I am a newbe - SD300 version problem.
« Reply #1 on: 30 / November / 2010, 17:28:16 »
If you install the wrong one, the camera will probably crash and require the battery to be removed to restart.

That's almost certainly the worst that can happen, but remember that CHDK comes with no warranty even if you do use the correct version.
Don't forget what the H stands for.

*

Offline zeno

  • *****
  • 889
Re: Help - I am a newbe - SD300 version problem.
« Reply #2 on: 01 / December / 2010, 04:12:03 »
Hi, you might get a response to your ver.req test if there's at least one image on the card.

I'm surprised my ACID program didn't work for you. Could you email me the original jpeg you used so I can see what went wrong.

daveATzenoshrdlu.com (author of ACID)
A570, S100, Ixus 127
Author of ASSIST, STICK, WASP, ACID, SDMInst, LICKS, WICKS, MacBoot, UBDB, CFGEdit

*

Offline zeno

  • *****
  • 889
Re: Help - I am a newbe - SD300 version problem.
« Reply #3 on: 02 / December / 2010, 07:39:13 »
Just a follow-up:

it appears that Graphics Guy's SD300 does not record the firmware version in the EXIF data. Comparing it with jpegs from other Poqwershots, several EXIF fields seem to be missing as well (though many are present). It's not clear if this is a defect in camera's firmware or due to some other cause.
A570, S100, Ixus 127
Author of ASSIST, STICK, WASP, ACID, SDMInst, LICKS, WICKS, MacBoot, UBDB, CFGEdit


Re: Help - I am a newbe - SD300 version problem.
« Reply #4 on: 02 / December / 2010, 11:00:36 »
Thanks to all that responded.
My SD300 did finally give up its secret Version information.
I put ver.req & vers.req along with an image and the information revealed that it was 1.00k, although I can only get this  procedure to work occasionally and not all the time.
Now to the hard part - installing the CHDK information and getting it to work.
My camera only seems to work with a 2GB SD card, is there anyway I can get it to recognize a 4GB one or does the original firmware control this?  Canon does not appear to offer an update from the original. 
Respectfully,  Graphics Guy

*

Online reyalp

  • ******
  • 13401
Re: Help - I am a newbe - SD300 version problem.
« Reply #5 on: 02 / December / 2010, 12:54:44 »
This camera only supports SD, not SDHC. You can get 4GB SD cards, but chances are if you bought a 4GB card without knowing this, you got an SDHC, which will not work.
Don't forget what the H stands for.

Re: Help - I am a newbe - SD300 version problem.
« Reply #6 on: 02 / December / 2010, 13:01:09 »
Hi reyalp,

You are absolutly correct!  I DID buy a SDHC card instead of a plain SD one.
I never realized there was a difference.

Many, many thanks for taking the time to respond to my question.
You guys are the greatest!

Respectfully, Graphics Guy

Re: Help - I am a newbe - SD300 version problem.
« Reply #7 on: 02 / December / 2010, 13:30:55 »
Hi reyalp,

Thanks again for your help.
I just tried to locate a 4GB SD but not a SDHC card on the internet but
was unable to locate such a card.  Are all cards being made in the SDHC
format now?  Do you know if the Canon SD300 will also recognize an 8GB
or larger SD card?

Respectfully, Graphics Guy


*

Offline pixeldoc2000

  • ****
  • 356
  • IXUS900Ti 1.00C, IXUS300HS 1.00D
    • pixel::doc homebase
Re: Help - I am a newbe - SD300 version problem.
« Reply #8 on: 02 / December / 2010, 14:50:23 »
Are all cards being made in the SDHC format now?
No necessarily.
Maybe try some local shops, possible they will have "old" hardware laying around.

Do you know if the Canon SD300 will also recognize an 8GB or larger SD card?
Possibly, but chdk does not suppport more than 4GB on this camera (multi partiton support is not done or not possible).
« Last Edit: 02 / December / 2010, 14:53:11 by pixeldoc2000 »

*

Online reyalp

  • ******
  • 13401
Re: Help - I am a newbe - SD300 version problem.
« Reply #9 on: 02 / December / 2010, 15:57:13 »
Hi reyalp,

Thanks again for your help.
I just tried to locate a 4GB SD but not a SDHC card on the internet but
was unable to locate such a card.  Are all cards being made in the SDHC
format now?
Maybe not all, but I would expect most are, since the SDHC has been around since 2006.

Also beware that SDHC cards may occasionally be listed as SD
Quote
 Do you know if the Canon SD300 will also recognize an 8GB
or larger SD card?
The SD standard only supports up to 4GB. This is the reason SDHC (High Capacity) exists. Anything larger than 4GB listed as an SD card is a mistake.
« Last Edit: 02 / December / 2010, 16:06:14 by reyalp »
Don't forget what the H stands for.

 

Related Topics